View Issue Details

IDProjectCategoryView StatusLast Update
0003559SymmetricDSImprovementpublic2018-06-05 16:55
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.9.8 
Target Version3.9.8Fixed in Version3.9.8 
Summary0003559: Log expiration of data gaps at info level
DescriptionEntries in sym_data_gap will expire after 20 minutes (by default) if no data shows up in those gaps. It is valid to expire a gap if data will *never* show up in the gap (due to something like a db transaction rollback). But data could get bypassed if a gap prematurely gets expired and later data_id's show up in that range. We will log at info when this happens so users can manage this setting properly.

When logging levels are at INFO, at most one log message will be emitted for expired gaps:

2018-06-01 15:27:51,564 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Expired 2 data gap(s) between data_id 354 and 370 and between create_time 2018-06-01 15:15:08.275 and 2018-06-01 15:15:08.275
TagsNo tags attached.

Relationships

related to 0003592 closedmmichalek Log expiration of data gaps at info level 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 71c65c4c

2018-05-10 13:57:56

mmichalek

Details Diff
0003559: Log expiration of data gaps at info level
0003559
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapFastDetector.java Diff File

SymmetricDS: 3.9 926c1a6b

2018-06-01 15:34:55

mmichalek

Details Diff
0003559: Log expiration of data gaps at info level
0003559
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapFastDetector.java Diff File

Issue History

Date Modified Username Field Change
2018-05-10 13:57 mmichalek New Issue
2018-05-10 13:57 mmichalek Status new => assigned
2018-05-10 13:57 mmichalek Assigned To => mmichalek
2018-05-10 13:58 mmichalek Status assigned => resolved
2018-05-10 13:58 mmichalek Resolution open => fixed
2018-05-10 13:58 mmichalek Fixed in Version => 3.9.8
2018-05-10 14:00 mmichalek Changeset attached => SymmetricDS 3.9 71c65c4c
2018-06-01 15:33 mmichalek Description Updated View Revisions
2018-06-01 15:35 mmichalek Issue cloned: 0003592
2018-06-01 15:47 mmichalek Relationship added related to 0003592
2018-06-01 16:00 mmichalek Changeset attached => SymmetricDS 3.9 926c1a6b
2018-06-05 16:55 mmichalek Status resolved => closed